import request from '@/utils/request'

// 查询访客登记信息列表
export function listVisitorInfo(query) {
    return request({
        url: '/subsystem/visitor/list',
        method: 'get',
        params: query
    })
}

// 导出访客登记信息
export function exportVisitorInfo(query) {
    return request({
        url: '/subsystem/visitor/export',
        method: 'post',
        data: query,
        responseType: 'blob'
    })
}

// 查询门禁刷卡记录列表
export function listAccessRecord(query) {
    return request({
        url: '/subsystem/visitor/access',
        method: 'get',
        params: query
    })
}

// 导出门禁刷卡记录
export function exportAccessRecord(query) {
    return request({
        url: '/subsystem/visitor/export',
        method: 'post',
        data: query,
        responseType: 'blob'
    })
}